import request from '@/utils/request'

// 查询图片库列表
export function listPics(query) {
  return request({
    url: '/base/pics/list',
    method: 'get',
    params: query
  })
}

// 查询图片库详细
export function getPics(id) {
  return request({
    url: '/base/pics/' + id,
    method: 'get'
  })
}

// 新增图片库
export function addPics(data) {
  return request({
    url: '/base/pics',
    method: 'post',
    data: data
  })
}

// 修改图片库
export function updatePics(data) {
  return request({
    url: '/base/pics',
    method: 'put',
    data: data
  })
}

// 删除图片库
export function delPics(id) {
  return request({
    url: '/base/pics/' + id,
    method: 'delete'
  })
}
